Skip to main content

Introduction

Audience Segments represent a groups of users to target.
Partial ApprovalsBulk operations (create, update, delete) use a partial approval model. Even if some items in the request fail, the response will return 200 OK. Any failed items will be listed in the warnings section of the response with an error code and details.Examples of possible warning codes:
  • segment-not-found → Segment is not found.
  • name-must-be-unique → Segment name must be unique.
  • name-must-not-be-empty → Segment name property must not be empty.
This list is not exhaustive. Additional warnings may be returned depending on the request context.
Note on Audience ComputationAudience updates are processed daily at 0h UTC and 12h UTC and can take around 5 hours to reflect on a live campaign. This is important for audiences that are frequently updated as changes should be ready for processing prior to these two times.

Endpoints

Verb

Endpoint

Description

POST

/commerce-grid/audience-segments/create

Create a new Audience Segment

PATCH

/commerce-grid/audience-segments

Update an Audience Segment

POST

/commerce-grid/audience-segments/delete

Delete an Audience Segment

POST

/commerce-grid/audience-segments/search

Search for Audience Segments by segment IDs, data provider IDs and/or segment types

GET

/commerce-grid/audience-segments/{audienceSegmentId}/contact-list/statistics

Retrieve contact list statistics

POST

/commerce-grid/audience-segments/{audienceSegmentId}/contact-list/add-remove

Add/remove identifiers in contact list Audience Segment

POST

/commerce-grid/audience-segments/{audienceSegmentId}/contact-list/clear

Clear all identifiers in contact list Audience Segment


Audience Segment Attributes

Attribute

Data Type

Description

id/audienceSegmentId

string

Audience Segment ID, generated internally by Criteo

Accepted values: string of int64

Writeable? N / Nullable? N

name*

string

Audience Segment name

Accepted values: string

Writeable? Y / Nullable? N

description

string

Description of the Audience Segment

Accepted values: string

Writeable? Y / Nullable? N

dataProviderId*

string

Data Provider ID associated with the Audience Segment, generated internally by Criteo

Accepted values: string of int64

Writeable? N / Nullable? N

type

enum

Type of segment

Read-only value, which can be one of:

  • ContactList: users segment defined by list of contact identifiers, manageable by the other endpoints

Writeable? N / Nullable? N

contactList

object

Setting to target users with contact list.

See below for more details

createdAt

timestamp

Timestamp of Audience Segment creation, in UTC

Accepted values:yyyy-mm-ddThh:mm:ss.msZ(inISO-8601)

Writeable? N / Nullable? N

updatedAt

timestamp

Timestamp of last Audience Segment update, in UTC

Accepted values:yyyy-mm-ddThh:mm:ss.msZ(inISO-8601)

Writeable? N / Nullable? N

*Required at create operation
Field Definitions
  • Writeable (Y/N): Indicates if the field can be modified in requests.
  • Nullable (Y/N): Indicates if the field can accept null/empty values.
  • Primary Key: A unique, immutable identifier of the entity, generated internally by Criteo. Primary keys are typically ID fields (e.g., retailerId, campaignId, lineItemId) and are usually required in the URL path.

Contact List Segment Attributes

Attribute

Data Type

Description

remoteId

string

ID owned by the client and used to identify the Audience Segment. If none is provided, one will be generated internally by Criteo

Accepted values: string

Writeable? Y / Nullable? N

Field Definitions
  • Writeable (Y/N): Indicates if the field can be modified in requests.
  • Nullable (Y/N): Indicates if the field can accept null/empty values.
  • Primary Key: A unique, immutable identifier of the entity, generated internally by Criteo. Primary keys are typically ID fields (e.g., retailerId, campaignId, lineItemId) and are usually required in the URL path.

Create Audience Segment

This endpoint allows creating Audience Segments.
The corresponding App should have the “Audiences Manage” permission enabled.
Sample Request
Sample Response
Sample Request - auto-generated remoteId
Sample Response

Partial 200 OK response


Update Audience Segment

This endpoint allows updating Audience Segments.
The corresponding App should have the “Audiences Manage” permission enabled.
Sample Request
Sample Response

Delete Audience Segment

This endpoint allows deleting Audience Segments, either one by one or multiple of them.
The corresponding App should have the “Audiences Manage” permission enabled.
Sample Request
Sample Response

Search for Audience Segments

This endpoint allows searching for existing Audience Segments that satisfy one or multiple attributes at the same time. Results are paginated using offset and limit query parameters; if omitted, defaults to0 and 50 respectively. The maximum limit is 100. Sample Request:
Sample Response

Get Contact List Segment Statistics

This endpoint allows retrieving statistics from a contact list Audience Segment. Sample Request
Sample Response

Add/Remove identifiers in Contact List Audience Segment

This endpoint allows to add/remove users in a specific contact list Audience Segment.
Set Add or Remove in the operation attribute in the request to indicate if you want to add or remove the list of identifiers from the contact list.
The corresponding App should have the “Audiences Manage” permission enabled.

Attribute

Data Type

Description

operation

enum

Operation required for the sub-set of users provided in the request

Accepted values:Add,Remove

Writeable? Y / Nullable? N

identifierType

enum

Type of identifiers that are being uploaded

Accepted values:Email,MadId,UserIdentifier,IdentityLink(LiveRamp IDs),BidSwitchId,FTrackId,PanoramaId,HadronId,IpAddressV4,PageUrl,PageDomain,AppId

Writeable? Y / Nullable? N

identifiers

string[]

Array of identifiers represented as strings

Sample Request - adding users to existing audience segment
Sample Response
Sample Request - removing users from existing audience segment
Sample Response
Identifier List Size LimitNote that there is a limit of 50,000 identifiers per single request. If you are adding more than 50,000 users, please split them into chunks of 50,000 and make multiple requests.

Clear all identifiers in Contact List Audience Segment

This endpoint resets a contact list Audience Segment, erasing all existing users identifiers.
The corresponding App should have the “Audiences Manage” permission enabled.
Sample Request
Sample Response 🟢 204 No Content (empty response body)
Note that this will only wipe all of the users from the audience segment and will not delete the audience segment itself.
Note on Audience ComputationAudience updates are processed daily at 0h UTC and 12h UTC and can take around 5 hours to reflect on a live campaign. This is important for audiences that are frequently updated as changes should be ready for processing prior to these two times.